Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class MemberCollection

    java.lang.Object
      com.sun.tdk.signaturetest.model.MemberCollection

    public class MemberCollection

extends java.lang.Object

Constructor Summary
`MemberCollection()`

Method Summary
`void` | `addMember(MemberDescription member)` Add the given `member` to this member collection.
`void` | `changeMember(MemberDescription oldMember, MemberDescription newMember)`
`boolean` | `contains(MemberDescription newMember)`
`MemberDescription` | `find(MemberDescription mr)`
`MemberDescription` | `findSimilar(MemberDescription mr)`
`java.util.Collection` | `getAllMembers()`
`int` | `getMembersCount(MemberType memberType, java.lang.String fqname)`
`java.util.Iterator` | `iterator()`
`void` | `updateMember(MemberDescription member)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberCollection

    public MemberCollection()

Method Detail

### addMember

    public void addMember(MemberDescription member)

  Add the given `member` to this member collection. If a member with the the same "key" already exists in the collection, the new member will override it.

  Parameters:
    `member` - New member to add to the collection.

### updateMember

    public void updateMember(MemberDescription member)

### getAllMembers

    public java.util.Collection getAllMembers()

### contains

    public boolean contains(MemberDescription newMember)

### iterator

    public java.util.Iterator iterator()

### changeMember

    public void changeMember(MemberDescription oldMember,
                             MemberDescription newMember)

### find

    public MemberDescription find(MemberDescription mr)

### findSimilar

    public MemberDescription findSimilar(MemberDescription mr)

### getMembersCount

    public int getMembersCount(MemberType memberType,
                               java.lang.String fqname)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD